/*
 *      oldexe.h
 *
 *      Copyright (c) 1994 by Borland International
 *      All Rights Reserved.
 *
 */

#ifndef __OLDEXE_H
#define __OLDEXE_H

#define MZSIGNATURE		0x5a4d

typedef struct	{			/* DOS - Ver 1-3 EXE Header	*/
  bits16	signature;		/* EXE File validity mark	*/
  bits16	image_size;		/* Load image size			*/
  bits16	file_size;		/* File size				*/
  bits16	reloc_size;		/* Relocation table size	*/
  bits16	header_size;	/* Size of header record	*/
  bits16	min_mem;		/* Minimum Load Memory		*/
  bits16	max_mem;		/* Maximum Load Memory		*/
  bits16	stack_seg;		/* Stack segment segment	*/
  bits16	stack_off;		/* Stack segment offset 	*/
  bits16	checksum;		/* File load checksum		*/
  bits16	code_off;		/* Entry point offset		*/
  bits16	code_seg;		/* Entry point segment		*/
  bits16	reloc_offset;	/* Offset to relocation table*/
  bits16	overlay_number; /* Overlay Number			*/
  bits16	undocumented;	/* Who knows what it is...	*/
  bits8		signature1;		/* Tlink Signature one		*/
  bits8		version;		/* Tlink version number 	*/
  bits16	signature2;		/* Tlink Signature two		*/
  bits8		reserved[26];
  bits32	NE_LE_start;	/* start of NE or LE header */
} OldExeHdr;

#endif

